Tip 1 : I would suggest practicing as many questions on data structures and algorithms as you can because it is the question practice that would help you in building your concepts strong. I practiced a lot of questions on InterviewBit and completed all modules of data structures and algorithms because there you can find the recent interview questions that you should know.
Tip 2 : If you have time for your interviews, I would recommend going through Leetcode as it has a good variety of questions sorted on topic wise difficulty level where you can try to solve at least 20-30 questions for each data structure and algorithm. Moreover, you should regularly participate in the weekly contests happening there so that you could know about your weak areas to improve.
Tip 3 : Along with coding you should be clear about some basic concepts of Operating systems and Databases that would help in your interviews. One more thing is that do some good research about the company's goal and vision and be prepared to ask some company-related queries that show your interest in the company.
Tip 1 : Your Resume should consist of mainly skills, projects, and achievements. Projects would play a crucial part in your interview and you should have at least one most relevant and good project that shows how strong your concepts are in development.
Tip 2 : The most important tip is that never lie on your resume and like If you have worked upon some technology for the project part only and don't know the proper depth you could write basics only in your resume.
The round consists of 3 coding questions and the test was conducted on mettl platform. There was no sectional time limit for the coding questions. Every student got randomly 3 coding questions and none of the students got the same set of questions. The test was online with audio and video both on for continuous monitoring.
The mean was easy to compute calculating the sum of the entire array, then I sorted the array for median and checked the size of the array. If the size was odd I returned the middle element else I returned the average of the two middle elements. For mode, I maintained a frequency array and returned the lowest element with maximum frequency.
I used the setprecision() method to round off the nth gp number.
I used dp to solve this problem with the Number of dice directly used as row index and the sum is directly used as the column index. In the end, I returned the last element of dp table.
This round was based on data structures and some discussion regarding the projects. The interviewer was very calm and listened very carefully to the solutions. There was a lot of discussion on my projects and the interviewer seems to be very interested in knowing about the workflows of my projects.
I first solved the question with simple recursion by checking every node and then calling to the left and right subtree.
Then the interviewer asked me to optimize.
I explained to him then that if we have to check their identity we have to traverse both the tree fully.
He was satisfied with the explanation.
I solved this question using recursion and map. I made two recursion calls one for including the element and one for excluding the element and then after reaching the end of the array I push the subsequence to the resultant vector. I also checked for duplicates using the map.
The interviewer was satisfied with this approach after I explained to him the workflow and that since we want all the...
This round was also based on data structures and the interviewer was not responding as much as in the first round so that I should think on my own that whether I am on right track or not. In this round also there was a deep discussion on one of my web development with machine learning project. So don't panic in these situations If the interviewer is not responding much because he is noting down every tiny detail of your written code.
I first founded the length of the linked list and then took the difference of length and N, which would give me the node to be deleted from the beginning. After I got the index of the node to be deleted from the front I simply traversed the list up to that node and deleted it from memory.
The interviewer asked me to optimize the solution.
So, the above solution was taking O(2n) time, I op...
This was an HR/Coding round and was the final one. The coding question was to find the nth node from the end of the linked list which is similar to the one asked in the previous round. The interview started with 2-3 HR questions and after I answered all of them, there was a serious discussion on my projects like why did you chose this project, what are its advantages, was it able to solve the existing problem. I answered all the project related queries very calmly and he was satisfied.
Tip 1 : For the first question, I answered like this that I expect constant learning and growing from this internship and wanted to contribute something to improving the standards of the people in the technical world. You should always be clear towards your goal and how it would help the company and you too in growing as an engineer.
Tip 2 : For the second question, I answered this by breaki...
sir one question i would like to ask you
dear sir the question is that i am very weak in speaking english .
then waht would be do from my side.
pls give me suggestion